Subject: bug#54921: eww/url mishandles IDN over proxy

From: Andreas Schwab <[email-masked]>
Date: Wed, 13 Apr 2022 23:42:44 +0200

I have configured Privoxy as the http/https proxy.  When visiting a URL
with an IDN address url-retrieve uses the original domain name for the
proxy connection, not the IDNA encoded name, causing Privoxy to return a
404 page.  I'm not sure if that is a bug in Privoxy or in eww.  I could
not find any RFC on that topic.

(eww "https://www.pimmelgate-süd.de/") returns the Privoxy 404 page,
whereas (eww "https://xn--pimmelgate-sd-7ob.de/") returns the actual web
page.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."